import { Descriptor } from "./descriptors";
import { createDecorator, IInstantiationService, optional, ServicesAccessor } from "./instantiation";
import { ServiceCollection } from "./serviceCollection";
import { registerSingleton, getServices } from "./extensions";
export declare const InstantiationService: {
    new (services?: ServiceCollection, strict?: boolean): IInstantiationService;
};
export { createDecorator, Descriptor, IInstantiationService, optional, ServiceCollection, ServicesAccessor, registerSingleton, getServices };
